<script lang="ts" setup>
// This component is also used on the /jobs landing page

import type { BaseCopy, BaseLink } from '@/types/base';

interface CopyMissionProps extends BaseCopy {
  cta: BaseLink;
}

defineProps<CopyMissionProps>();
</script>

<template>
  <SlpSection class="mission">
    <div class="mission__gradient-header" />
    <SlpRow data-aos="fade-up" data-aos-offset="200" data-aos-duration="500">
      <SlpTypography v-if="title" tag="h2" variant="heading2-bold">
        {{ title }}
      </SlpTypography>
      <div class="mission__description" v-html="$md.render(description)"></div>
      <SlpButton
        variant="primary"
        class="mission__link"
        :data-ga-name="cta.config.dataGaName"
        :data-ga-location="cta.config.dataGaLocation"
        :href="cta.config.href"
        >{{ cta.text }}
      </SlpButton>
    </SlpRow>
  </SlpSection>
</template>

<style lang="scss" scoped>
.mission {
  margin-top: $spacing-96;
  margin-bottom: $spacing-96;

  &__gradient-header {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
  }

  &__description {
    font-size: 40px;
    line-height: 48px;
    letter-spacing: -0.03em;
    margin: $spacing-32 0;
    width: 100%;

    @media (max-width: $breakpoint-md) {
      font-size: 32px;
      line-height: 40px;
    }
  }

  &__link {
    display: block;
  }
}
</style>
